Bug 486712 - alienarena does not start
alienarena does not start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alienarena (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 06:42 EST by Karel Volný
Modified: 2010-06-28 07:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log of alienarena-wrapper (3.77 KB, text/x-log)
2009-02-21 06:43 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2009-02-21 06:42:33 EST
Description of problem:
I tried the games spin alpha DVD, and I am unable to start Alien Arena. It changes the screen resolution and exits, leaving the wrong resolution set. See the attached console log.

Version-Release number of selected component (if applicable):
alienarena-7.20-5.fc10

How reproducible:
always

Steps to Reproduce:
1. boot games spin DVD
2. try to run alienarena-wrapper
  
Actual results:
screen resolution is changed, nothing else happens

Expected results:
game starts

Additional info:
the computer I tried has nVidia card, so no 3D acceleration using the free driver, just software ... but at least something, although terribly slow, could be displayed (as glxgears run at circa 200 FPS), and if software 3D is really not enough, an error message should be displayed to the user instead of just silently failing
Comment 1 Karel Volný 2009-02-21 06:43:50 EST
Created attachment 332820 [details]
console log of alienarena-wrapper
Comment 2 Karel Volný 2009-02-22 06:34:36 EST
now I've tried on a system with Intel 945GM, and the game starts, but instead of fullscreen, it runs in a rectangle from left-top corner to the resolution set in the config, while at the rest of the screen (up to the physical resolution) I can see the desktop - and I do not mean game "window", i.e. not something with a titlebar and so
Comment 3 Tom "spot" Callaway 2009-03-05 15:37:34 EST
Looking into this, these seem to be related to modesetting (at least on intel). I haven't forgotten about this, krh is looking into them.
Comment 4 Bug Zapper 2009-06-09 07:33:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Chris Jones 2009-11-19 10:17:27 EST
This still happens in F12
Comment 6 Karel Volný 2010-02-25 06:12:49 EST
(In reply to comment #5)
> This still happens in F12    

I can't confirm using F12

the alienarena-wrapper now shows the error message about HW 3D support unavailable

if I start alienarena directly, it does not crash anymore (well ... I haven't played it, it was enough to move the mouse over the menu :-))

unfortunately, I don't have the machine with Intel graphics available ATM to re-test the problem in comment #2

please, could you provide more info what exactly happens and what hardware/driver do you use?
Comment 7 Karel Volný 2010-02-26 07:22:07 EST
(In reply to comment #6)
> (In reply to comment #5)
> > This still happens in F12    

...

> unfortunately, I don't have the machine with Intel graphics available ATM to
> re-test the problem in comment #2
> 
> please, could you provide more info what exactly happens and what
> hardware/driver do you use?    

note that I have reported bug #568703 for the other problem

(and note that unlike mentioned in comment #2, the current version _has_ the window decorations)
Comment 8 Bug Zapper 2010-04-27 09:01:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Chris Jones 2010-04-27 09:41:19 EDT
The specs claim its a 'Integrated Intel® Graphics Media Accelerator 3000' lshw says '82946GZ/GL Integrated Graphics Controller' either way the i915 driver claims it.

Works up to the menu, when trying to start a game it finished loading and the screen goes black and hangs.

X.org locks up and needs a reboot to recover.

The following seen in dmesg...

[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2247626 at 2247624)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2247633 at 2247624)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2247639 at 2247624)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 

And so on...
Comment 10 Tom "spot" Callaway 2010-04-27 11:00:50 EDT
In Fedora 13, I'm not seeing that at all, in fact, the game is running better than it ever has for me with the Intel graphics chip in my laptop:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

If you can reproduce that crash, can you run:

intel_gpu_dump

After it gets hung? Then, upload the dump either to bugzilla or somewhere else.

Also, please let me know what version of Fedora, and confirm that you have all updates applied.
Comment 11 Tom "spot" Callaway 2010-04-27 11:01:28 EDT
(In reply to comment #10)

> intel_gpu_dump

This is in the intel-gpu-tools package.
Comment 12 Chris Jones 2010-05-12 08:50:13 EDT
Fedora 12 - 32bit - All updates applied.

Output at http://sucs.org/~rollercow/intel_gpu_dump.out
Comment 13 Chris Jones 2010-05-12 08:55:42 EDT
I've also just test it with a "82G33/G31 Express Integrated Graphics Controller" on another machine (also claimed by the i915 driver). It doesn't crash this time, but only manages about 1/3fps.
Comment 14 Tom "spot" Callaway 2010-05-12 09:07:04 EDT
Now, that behavior (extremely slow) is more along what I was seeing before on F-12 (and no longer see on F-13). I've passed the gpu_dump on to the xorg maintainer, hopefully he will see something interesting that helps narrow down what is going on.
Comment 15 Bug Zapper 2010-06-28 07:19:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.